Package com.io7m.jcamera

# Enum Class JCameraScreenOrigin

java.lang.Object
java.lang.Enum<JCameraScreenOrigin>
com.io7m.jcamera.JCameraScreenOrigin

All Implemented Interfaces:
  `Serializable`, `Comparable<JCameraScreenOrigin>`, `Constable`

public enum JCameraScreenOrigin extends Enum<JCameraScreenOrigin>
Specification of screen origins.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SCREEN_ORIGIN_BOTTOM_LEFT`
  The origin of the screen is the bottom left.
  `SCREEN_ORIGIN_TOP_LEFT`
  The origin of the screen is the top left.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JCameraScreenOrigin`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JCameraScreenOrigin[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SCREEN_ORIGIN_BOTTOM_LEFT

    public static final JCameraScreenOrigin SCREEN_ORIGIN_BOTTOM_LEFT
    The origin of the screen is the bottom left.

  - ### SCREEN_ORIGIN_TOP_LEFT

    public static final JCameraScreenOrigin SCREEN_ORIGIN_TOP_LEFT
    The origin of the screen is the top left.

- ## Method Details

  - ### values

    public static JCameraScreenOrigin[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JCameraScreenOrigin valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null